Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.cpp.cdt.model
[Groovy] Class ProjectDescriptor

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.cpp.cdt.model.ProjectDescriptor

    class ProjectDescriptor
    extends XmlPersistableConfigurationObject

The actual .project descriptor file.

Constructor Summary
`ProjectDescriptor()`

Method Summary
`Node` | `findBuildCommand(Closure predicate)`
`protected String` | `getDefaultResourceName()`
`Node` | `getOrCreate(String name)`
`Node` | `getOrCreate(Node parent, String name)`

Constructor Detail

### ProjectDescriptor

    ProjectDescriptor()

Method Detail

### findBuildCommand

    Node findBuildCommand(Closure predicate)

### getDefaultResourceName

    protected String getDefaultResourceName()

### getOrCreate

    Node getOrCreate(String name)

### getOrCreate

    Node getOrCreate(Node parent, String name)

Gradle API 1.1-rc-1